Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455656 - First permanent changes to system are in partitioning, not package installation
Summary: First permanent changes to system are in partitioning, not package installation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Paul W. Frields
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 20:13 UTC by Andy Lindeberg
Modified: 2008-11-23 18:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-23 18:21:09 UTC


Attachments (Terms of Use)

Description Andy Lindeberg 2008-07-16 20:13:21 UTC
On the first page of Chapter 4, there is a note at the top that says:

"To abort the installation process at any time before the Installing Packages
screen, either press Ctrl+Alt+Del or power off the computer with the power
switch. Fedora makes no changes to your computer until package installation begins."

This isn't true, as partitioning makes permanent changes to the computer and
occurs before package selection. It should probably read something like:

"To abort the installation, either press Ctrl+Alt+Del or power off your computer
with the power switch. You may abort the installation process without
consequence at any time prior to partitioning, as Fedora makes no permanent
changes to your system until that point. Please be aware that stopping the
installation after partitioning has begun can leave your system unusable."

Link to page:
http://docs.fedoraproject.org/install-guide/f9/en_US/ch-beginninginstallation.html

Comment 1 David Nalley 2008-11-21 16:39:06 UTC
Added the following: 

To abort the installation, either press <keycombo><keycap>Ctrl
      </keycap><keycap>Alt</keycap><keycap>Del</keycap></keycombo>
      or power off your computer with the power switch. You may
      abort the installation process without consequence at any time
      prior to selecting <guibutton>Write changes to disk</guibutton>
      on the <guilabel>Write partitioning to disk</guilabel> screen,
      as Fedora makes no permanent changes to your computer until
      that point. Please be aware that stopping the installation
      after partitioning has begun can leave your computer unusable.

Did this in local commit 322bbcb
Committed this change

Comment 2 Paul W. Frields 2008-11-21 18:36:00 UTC
Word of style guidance:  Sentence length.  That second sentence should be split into two, because we try to hold to 25 words or less whenever possible.  Suggestion:

'''
You may abort the installation process without consequence at any time prior to selecting <guibutton>Write changes to disk</guibutton> on the <guilabel>Write partitioning to disk</guilabel> screen.  Fedora makes no permanent changes to your computer until that point.
'''

Comment 3 David Nalley 2008-11-21 19:10:47 UTC
Fixed in commit 28291dd

Comment 4 David Nalley 2008-11-23 18:21:09 UTC
Closing this ticket since 322bbcb and 28291dd address this issue.


Note You need to log in before you can comment on or make changes to this bug.